variable "project_name" {
    description = "Nom du projet"
    type        = string
    default     = "mon-projet"
}

variable "region" {
    description = "Région du projet"
    type        = string
    default     = "europe-west9"
}

variable "frontend_cidr" {
    description = "CIDR pour frontend"
    type        = string
    default     = "10.0.1.0/24"
}

variable "backend_cidr" {
    description = "CIDR pour backend"
    type        = string
    default     = "10.0.2.0/24"
}

variable "database_cidr" {
    description = "CIDR pour database"
    type        = string
    default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
    description = "Plages d'adresses IP source autorisées pour SSH"
    type        = string
}